Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.tabbedpane
Class TabChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.apache.myfaces.custom.tabbedpane.TabChangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class TabChangeEvent
extends javax.faces.event.FacesEvent

Version:
  $Revision: 225368 $ $Date: 2005-07-26 14:14:51 -0400 (Tue, 26 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TabChangeEvent(javax.faces.component.UIComponent component, int oldTabIndex, int newTabIndex)`

Method Summary
`int` | `getNewTabIndex()`
`int` | `getOldTabIndex()`
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TabChangeEvent

    public TabChangeEvent(javax.faces.component.UIComponent component,
                          int oldTabIndex,
                          int newTabIndex)

Method Detail

### getOldTabIndex

    public int getOldTabIndex()

### getNewTabIndex

    public int getNewTabIndex()

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD